with GNATCOM.Dispinterface;

package MSHTML.IHTMLInputFileElement_Interface is

   type IHTMLInputFileElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLInputFileElement_Type);

   function Pointer (This : IHTMLInputFileElement_Type)
     return Pointer_To_IHTMLInputFileElement;

   procedure Attach (This    : in out IHTMLInputFileElement_Type;
                     Pointer : in     Pointer_To_IHTMLInputFileElement);

   function Get_type
     (This : IHTMLInputFileElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLInputFileElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLInputFileElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_status
     (This : IHTMLInputFileElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_status
     (This : IHTMLInputFileElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : IHTMLInputFileElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_disabled
     (This : IHTMLInputFileElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_form
     (This : IHTMLInputFileElement_Type)
     return Pointer_To_IHTMLFormElement;

   procedure Put_size
     (This : IHTMLInputFileElement_Type;
      p    : Interfaces.C.long);

   function Get_size
     (This : IHTMLInputFileElement_Type)
     return Interfaces.C.long;

   procedure Put_maxLength
     (This : IHTMLInputFileElement_Type;
      p    : Interfaces.C.long);

   function Get_maxLength
     (This : IHTMLInputFileElement_Type)
     return Interfaces.C.long;

   procedure uselect
     (This : IHTMLInputFileElement_Type);

   procedure Put_onchange
     (This : IHTMLInputFileElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onchange
     (This : IHTMLInputFileElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onselect
     (This : IHTMLInputFileElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onselect
     (This : IHTMLInputFileElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_value
     (This : IHTMLInputFileElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_value
     (This : IHTMLInputFileElement_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLInputFileElement_Interface;

